Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.resolver
Class CatalogResolver.CatalogManager

    java.lang.Object
      org.apache.xml.resolver.CatalogManager
          org.apache.commons.configuration.resolver.CatalogResolver.CatalogManager

Enclosing class:
  CatalogResolver

    public static class CatalogResolver.CatalogManager

extends org.apache.xml.resolver.CatalogManager

Extend the CatalogManager to make the FileSystem and base directory accessible.

Field Summary

Fields inherited from class org.apache.xml.resolver.CatalogManager
`debug`

Constructor Summary
`CatalogResolver.CatalogManager()`

Method Summary
`String` | `getBaseDir()` Return the base directory.
`org.apache.xml.resolver.Catalog` | `getCatalog()` Get a catalog instance.
`FileSystem` | `getFileSystem()` Retrieve the FileSystem.
`org.apache.xml.resolver.Catalog` | `getPrivateCatalog()` Get a new catalog instance.
`org.apache.commons.lang.text.StrSubstitutor` | `getStrSubstitutor()`
`void` | `setBaseDir(String baseDir)` Set the base directory.
`void` | `setFileSystem(FileSystem fileSystem)` Set the FileSystem
`void` | `setSubstitutor(org.apache.commons.lang.text.StrSubstitutor substitutor)`

Methods inherited from class org.apache.xml.resolver.CatalogManager
`allowOasisXMLCatalogPI, catalogClassName, catalogFiles, getAllowOasisXMLCatalogPI, getBootstrapResolver, getCatalogClassName, getCatalogFiles, getIgnoreMissingProperties, getPreferPublic, getRelativeCatalogs, getStaticManager, getUseStaticCatalog, getVerbosity, ignoreMissingProperties, preferPublic, queryAllowOasisXMLCatalogPI, queryCatalogClassName, relativeCatalogs, setAllowOasisXMLCatalogPI, setBootstrapResolver, setCatalogClassName, setCatalogFiles, setIgnoreMissingProperties, setPreferPublic, setRelativeCatalogs, setUseStaticCatalog, setVerbosity, staticCatalog, verbosity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogResolver.CatalogManager

    public CatalogResolver.CatalogManager()

Method Detail

### setFileSystem

    public void setFileSystem(FileSystem fileSystem)

  Set the FileSystem

  Parameters:
    `fileSystem` - The FileSystem in use.

### getFileSystem

    public FileSystem getFileSystem()

  Retrieve the FileSystem.

  Returns:
    The FileSystem.

### setBaseDir

    public void setBaseDir(String baseDir)

  Set the base directory.

  Parameters:
    `baseDir` - The base directory.

### getBaseDir

    public String getBaseDir()

  Return the base directory.

  Returns:
    The base directory.

### setSubstitutor

    public void setSubstitutor(org.apache.commons.lang.text.StrSubstitutor substitutor)

### getStrSubstitutor

    public org.apache.commons.lang.text.StrSubstitutor getStrSubstitutor()

### getPrivateCatalog

    public org.apache.xml.resolver.Catalog getPrivateCatalog()

  Get a new catalog instance. This method is only overridden because xml-resolver might be in a parent ClassLoader and will be incapable of loading our Catalog implementation. This method always returns a new instance of the underlying catalog class.

  Overrides:
    `getPrivateCatalog` in class `org.apache.xml.resolver.CatalogManager`
  Returns:
    the Catalog.

### getCatalog

    public org.apache.xml.resolver.Catalog getCatalog()

  Get a catalog instance. If this manager uses static catalogs, the same static catalog will always be returned. Otherwise a new catalog will be returned.

  Overrides:
    `getCatalog` in class `org.apache.xml.resolver.CatalogManager`
  Returns:
    The Catalog.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.